Skip to content

List visitors​

GET
/visitors

Returns a paginated list of visitors (contacts) with filters. Requires visitors:read scope.

Authorizations​

BearerAuth

API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.

Type
HTTP (bearer)

Parameters​

Query Parameters

search

Search by name, email, phone

Type
string
source
Type
string
Valid values
"widget""telegram""viber""facebook""instagram"
city
Type
string
date_from

Start date (YYYY-MM-DD)

Type
string
Format
"date"
date_to

End date (YYYY-MM-DD)

Type
string
Format
"date"
sort_by
Type
string
Valid values
"display_name""email""phone""source""total_sessions""total_messages""first_seen_at""last_seen_at""country_name""city""region"
Default
"last_seen_at"
sort_order
Type
string
Valid values
"asc""desc"
Default
"desc"
page

Page number

Type
integer
Minimum
1
Default
1
per_page

Items per page (max 100)

Type
integer
Minimum
1
Maximum
100
Default
30

Responses​

Visitors list

application/json
JSON
{
"success": true,
"data": [
{
"visitor_id": "client_abc123",
"display_name": "string",
"avatar_url": "string",
"email": "string",
"phone": "string",
"notes": "string",
"source": "string",
"country_name": "string",
"city": "string",
"region": "string",
"total_sessions": 0,
"total_messages": 0,
"first_seen_at": "string",
"last_seen_at": "string",
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"landing_page": "string",
"referrer": "string"
}
],
"meta": {
"total": 128,
"total_pages": 5,
"current_page": 1,
"per_page": 30
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Looma.chat — AI-powered e-commerce search & chat